<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsMfMCallbackPlainC Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="struct_xs_mf_m_callback_plain_c-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsMfMCallbackPlainC Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Structure that contains callback functions for the Magnetic Field Mapper.  
 <a href="struct_xs_mf_m_callback_plain_c.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for XsMfMCallbackPlainC:</div>
<div class="dyncontent">
<div class="center"><img src="struct_xs_mf_m_callback_plain_c__inherit__graph.png" border="0" usemap="#_xs_mf_m_callback_plain_c_inherit__map" alt="Inheritance graph"/></div>
<map name="_xs_mf_m_callback_plain_c_inherit__map" id="_xs_mf_m_callback_plain_c_inherit__map">
<area shape="rect" id="node2" href="class_xs_mfm_callback.html" title="Structure that contains callback functions for the Xsens Device API. " alt="" coords="25,80,135,107"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ga9725d524f1101c555588640792c0aa20"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___callbacks.html#ga9725d524f1101c555588640792c0aa20">m_onScanDone</a> )(struct <a class="el" href="struct_xs_mf_m_callback_plain_c.html">XsMfMCallbackPlainC</a> *, const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> *devices)</td></tr>
<tr class="memdesc:ga9725d524f1101c555588640792c0aa20"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when a device scan is done.  <a href="group___callbacks.html#ga9725d524f1101c555588640792c0aa20">More...</a><br /></td></tr>
<tr class="separator:ga9725d524f1101c555588640792c0aa20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga131acfc30e7b2fa57554f90a37bbb80a"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___callbacks.html#ga131acfc30e7b2fa57554f90a37bbb80a">m_onMfmDone</a> )(struct <a class="el" href="struct_xs_mf_m_callback_plain_c.html">XsMfMCallbackPlainC</a> *, <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> dev, int result)</td></tr>
<tr class="memdesc:ga131acfc30e7b2fa57554f90a37bbb80a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the magfield mapping has completed.  <a href="group___callbacks.html#ga131acfc30e7b2fa57554f90a37bbb80a">More...</a><br /></td></tr>
<tr class="separator:ga131acfc30e7b2fa57554f90a37bbb80a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga230a59ca6994e271bf86db890b7077a5"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___callbacks.html#ga230a59ca6994e271bf86db890b7077a5">m_onMfmError</a> )(struct <a class="el" href="struct_xs_mf_m_callback_plain_c.html">XsMfMCallbackPlainC</a> *, <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> dev, <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a> error, const struct <a class="el" href="struct_xs_string.html">XsString</a> *description)</td></tr>
<tr class="memdesc:ga230a59ca6994e271bf86db890b7077a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when an error has occurred while handling incoming data.  <a href="group___callbacks.html#ga230a59ca6994e271bf86db890b7077a5">More...</a><br /></td></tr>
<tr class="separator:ga230a59ca6994e271bf86db890b7077a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:aebb06337bb87234995b3ce6f9cf631c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aebb06337bb87234995b3ce6f9cf631c4"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>XsMfmCallback</b></td></tr>
<tr class="separator:aebb06337bb87234995b3ce6f9cf631c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure that contains callback functions for the Magnetic Field Mapper. </p>
<p>When using C++, please use the overloaded class XsMfMCallback instead.</p>
<p>This structure contains pointers to functions that will be called by the magnetic field mapper library when certain events occur. To use it in C, set any callback you do not wish to use to 0 and put a valid function pointer in the others. Then pass the object to the <a class="el" href="struct_xs_mfm.html" title="High level Magnetic Field Mapper (MFM) management class. ">XsMfm</a> object's addCallbackHandler function.</p>
<dl class="section note"><dt>Note</dt><dd><a class="el" href="struct_xs_mfm.html" title="High level Magnetic Field Mapper (MFM) management class. ">XsMfm</a> does not copy the structure contents and does not take ownership of it. So make sure it is allocated on the heap or at least removed from wherever it was added by calling removeCallbackHandler before it is destroyed. </dd></dl>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
